View Issue Details

IDProjectCategoryView StatusLast Update
0012566mantisbtdocumentationpublic2010-12-17 04:40
ReporterCyrille37Assigned Togiallu 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.3 
Target VersionFixed in Version1.2.4 
Summary0012566: Time Tracking: copy wiki note in administration_guide
Description

Hello,

Because the Time Tracking is a wanted feature, and while it is implemented in MantisBT, it should be nice to highlighted it in the documentation. I spent some times to find how to activate this feature.

There are enough explanations on the page http://www.mantisbt.org/wiki/doku.php/mantisbt:issue:4428, like "Introduction" and "Configuration Options" that could be reported in the documentation in the chapter "administration_guide / Project Management / Time Tracking".

TagsNo tags attached.

Relationships

related to 0004228 confirmed Add a utility script to allow cleanup of user accounts 

Activities

Cyrille37

Cyrille37

2010-11-26 09:47

reporter   ~0027494

Could you add a bug relationship with issue 4428.

Cheers.

Cyrille37

Cyrille37

2010-11-26 11:41

reporter  

mantisbt-1.2.3_documentation_time-tracking.patch (4,737 bytes)
From 59127b1bdc547616a1a175367e8843f9fdf3cadb Mon Sep 17 00:00:00 2001
From: Cyrille Giquello <Cyrille37@gmail.com>
Date: Fri, 26 Nov 2010 17:36:57 +0100
Subject: [PATCH] Add documentation about Time Tracking in sections 'admin.config.timetracking' and 'admin.project.timetracking'.
 It's a simple copy/paste from the Wiki.

---
 docbook/adminguide/en/configuration.sgml      |   72 +++++++++++++++++++++++++
 docbook/adminguide/en/project_management.sgml |   21 +++++++-
 2 files changed, 92 insertions(+), 1 deletions(-)

diff --git a/docbook/adminguide/en/configuration.sgml b/docbook/adminguide/en/configuration.sgml
index 0d096fe..5350c35 100644
--- a/docbook/adminguide/en/configuration.sgml
+++ b/docbook/adminguide/en/configuration.sgml
@@ -2953,4 +2953,76 @@
             </varlistentry>
         </variablelist>
     </section>
+
+		<section id="admin.config.timetracking">
+			<title>Time Tracking</title>
+
+			<variablelist>
+
+				<varlistentry>
+					<term>$g_time_tracking_enabled</term>
+					<listitem>
+						<para>
+							Turns Time Tracking features ON or OFF - Default ‘OFF’
+						</para>
+					</listitem>
+				</varlistentry>
+
+				<varlistentry>
+					<term>$g_time_tracking_without_note</term>
+					<listitem>
+						<para>
+							Allow time tracking to be recorded without writing some text in the associated bugnote - Default ‘ON’
+						</para>
+					</listitem>
+				</varlistentry>
+
+				<varlistentry>
+					<term>$g_time_tracking_with_billing</term>
+					<listitem>
+						<para>
+							Adds calculation links to workout how much time has been spent between a particular time frame. Currently it will allow you to enter a cost/hour and will work out some billing information. This will become more extensive in the future. Currently it is more of a proof of concept.
+						</para>
+					</listitem>
+				</varlistentry>
+
+				<varlistentry>
+					<term>$g_time_tracking_stopwatch</term>
+					<listitem>
+						<para>
+							Instead of a text field turning this option on places a stopwatch on the page with “Start/Stop” and “Reset” buttons next to it. You must have $g_use_javascript switched on for this to take effect. A bit gimickie, but who cares.
+						</para>
+					</listitem>
+				</varlistentry>
+
+				<varlistentry>
+					<term>$g_time_tracking_view_threshold</term>
+					<listitem>
+						<para>
+							Access level required to view time tracking information - Default DEVELOPER.
+						</para>
+					</listitem>
+				</varlistentry>
+
+				<varlistentry>
+					<term>$g_time_tracking_edit_threshold</term>
+					<listitem>
+						<para>
+							Access level required to add/edit time tracking information (If you give a user $g_time_tracking_edit_threshold you must give them $g_time_tracking_view_threshold aswell) - Default DEVELOPER.
+						</para>
+					</listitem>
+				</varlistentry>
+
+				<varlistentry>
+					<term>$g_time_tracking_reporting_threshold</term>
+					<listitem>
+						<para>
+							Access level required to run reports (not completed yet) - Default MANAGER.
+						</para>
+					</listitem>
+				</varlistentry>
+
+			</variablelist>
+    </section>
+
 </chapter>
diff --git a/docbook/adminguide/en/project_management.sgml b/docbook/adminguide/en/project_management.sgml
index b8b1441..51dc1a0 100644
--- a/docbook/adminguide/en/project_management.sgml
+++ b/docbook/adminguide/en/project_management.sgml
@@ -207,7 +207,26 @@ http://www.example.com/mantisbt/project_page.php?project_id=1
     <section id="admin.project.timetracking">
         <title>Time Tracking</title>
 
-        <para></para>
+        <para>
+					This is currently a work in progress. To follow the work have a look on the wiki page <ulink url="http://www.mantisbt.org/wiki/doku.php/mantisbt:issue:4428">Time Tracking (Issue 4428)</ulink>
+				</para>
+
+        <para>
+					To activate the Time Tracking feature you have to set the configuration option "time_tracking_enabled" to ON. To activating the Time Tracking you can :
+					<itemizedlist>
+						<listitem>
+							Static solution : change the variable '$g_time_tracking_enabled' in the configuration file 'config_defaults_inc.php', this will change the configuration for all the MantisBT instance ; 
+						</listitem>
+						<listitem>
+							Dynamic and "project by project" solution : Use the administration page "Manage Configuration" and set the variable 'time_tracking_enabled' to '1' for which user and which project of you choice.
+						</listitem>
+					</itemizedlist>
+				</para>
+		
+				<para>
+					All Time Tracking configuration options are described in the configuration section off this guide.
+				</para>
+				
     </section>
 
     <section id="admin.project.graphs">
-- 
1.7.3.1.msysgit.0

Cyrille37

Cyrille37

2010-11-26 11:42

reporter   ~0027496

Here is the patch "mantisbt-1.2.3_documentation_time-tracking.patch" that add documentation about Time Tracking in sections 'admin.config.timetracking' and 'admin.project.timetracking'.
It's a simple copy/paste from the Wiki.add Time Tracking to the documentation.

giallu

giallu

2010-11-29 17:32

reporter   ~0027510

Applied (with minor fixes)

thanks!

Related Changesets

MantisBT: master-1.2.x ec291be6

2010-11-26 16:36:57

Cyrille Giquello


Committer: giallu Details Diff
Fix bug 0012566: Time Tracking: copy wiki note in administration_guide

Add documentation about Time Tracking in sections 'admin.config.timetracking' and 'admin.project.timetracking'. It's a simple copy/paste from the Wiki.
mod - docbook/adminguide/en/configuration.sgml Diff File
mod - docbook/adminguide/en/project_management.sgml Diff File

MantisBT: master 8a6228ca

2010-11-29 21:51:31

giallu

Details Diff
Fix bug 0012566: Time Tracking: copy wiki note in administration_guide

Provided patch was adapted to new xml manual based on Publican
mod - docbook/Admin_Guide/en-US/Project_Management.xml Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File

Issue History

Date Modified Username Field Change
2010-11-26 09:46 Cyrille37 New Issue
2010-11-26 09:47 Cyrille37 Note Added: 0027494
2010-11-26 11:41 Cyrille37 File Added: mantisbt-1.2.3_documentation_time-tracking.patch
2010-11-26 11:42 Cyrille37 Note Added: 0027496
2010-11-29 16:17 giallu Relationship added related to 0004228
2010-11-29 16:54 giallu Changeset attached => MantisBT master 8a6228ca
2010-11-29 17:31 giallu Changeset attached => MantisBT master-1.2.x ec291be6
2010-11-29 17:32 giallu Note Added: 0027510
2010-11-29 17:32 giallu Status new => resolved
2010-11-29 17:32 giallu Fixed in Version => 1.2.4
2010-11-29 17:32 giallu Resolution open => fixed
2010-11-29 17:32 giallu Assigned To => giallu
2010-12-17 04:40 vboctor Status resolved => closed